Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.mapper
Class OuterClassMapper

    java.lang.Object
      com.thoughtworks.xstream.mapper.MapperWrapper
          com.thoughtworks.xstream.mapper.OuterClassMapper

All Implemented Interfaces:
  Mapper

    public class OuterClassMapper

extends MapperWrapper

Mapper that uses a more meaningful alias for the field in an inner class (this$0) that refers to the outer class.

Author:
  Joe Walnes

Nested Class Summary

Nested classes/interfaces inherited from interface com.thoughtworks.xstream.mapper.Mapper
`Mapper.ImplicitCollectionMapping, Mapper.Null`

Constructor Summary
`OuterClassMapper(ClassMapper wrapped)` Deprecated. As of 1.2, use `OuterClassMapper(Mapper)`
`OuterClassMapper(ClassMapper wrapped, String alias)` Deprecated. As of 1.2, use `OuterClassMapper(Mapper, String)`
`OuterClassMapper(Mapper wrapped)`
`OuterClassMapper(Mapper wrapped, String alias)`

Method Summary
`String` | `realMember(Class type, String serialized)` How a serialized member representation should be mapped back to a real member.
`String` | `serializedMember(Class type, String memberName)` How a class member should be represented in its serialized form.

Methods inherited from class com.thoughtworks.xstream.mapper.MapperWrapper
`aliasForAttribute, aliasForAttribute, aliasForSystemAttribute, attributeForAlias, attributeForAlias, attributeForClassDefiningField, attributeForEnumType, attributeForImplementationClass, attributeForReadResolveField, defaultImplementationOf, getConverterFromAttribute, getConverterFromAttribute, getConverterFromAttribute, getConverterFromItemType, getConverterFromItemType, getConverterFromItemType, getFieldNameForItemTypeAndName, getImplicitCollectionDefForFieldName, getItemTypeForItemFieldName, getLocalConverter, isImmutableValueType, lookupMapperOfType, realClass, serializedClass, shouldSerializeMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OuterClassMapper

    public OuterClassMapper(Mapper wrapped)

### OuterClassMapper

    public OuterClassMapper(Mapper wrapped,
                            String alias)

### OuterClassMapper

    public OuterClassMapper(ClassMapper wrapped)

  Deprecated. As of 1.2, use `OuterClassMapper(Mapper)`

### OuterClassMapper

    public OuterClassMapper(ClassMapper wrapped,
                            String alias)

  Deprecated. As of 1.2, use `OuterClassMapper(Mapper, String)`

Method Detail

### serializedMember

    public String serializedMember(Class type,
                                   String memberName)

  Description copied from interface: `Mapper`
  How a class member should be represented in its serialized form.

  Specified by:
    `serializedMember` in interface `Mapper`
  Overrides:
    `serializedMember` in class `MapperWrapper`

### realMember

    public String realMember(Class type,
                             String serialized)

  Description copied from interface: `Mapper`
  How a serialized member representation should be mapped back to a real member.

  Specified by:
    `realMember` in interface `Mapper`
  Overrides:
    `realMember` in class `MapperWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.